summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2012-10-22 02:37:01 (EDT)
committer P. J. McDermott <pjm@nac.net>2012-10-22 02:37:01 (EDT)
commit93fd1039882c1566e73a9125c18ed7263b941452 (patch)
tree26373ac2d394b56482019601a5df74920af4f61b
parent000e42b81d35b31691b5ad46ee46649b5e2c2b59 (diff)
Write oh-autoinstall.
-rw-r--r--src/Makefile.in3
-rw-r--r--src/oh-autoinstall.sh54
2 files changed, 56 insertions, 1 deletions
diff --git a/src/Makefile.in b/src/Makefile.in
index 0870de0..8a9368f 100644
--- a/src/Makefile.in
+++ b/src/Makefile.in
@@ -44,7 +44,8 @@ SRCS = \
oh-strip.sh \
oh-fixperms.sh \
oh-autoconfigure.sh \
- oh-autobuild.sh
+ oh-autobuild.sh \
+ oh-autoinstall.sh
OBJS = $(SRCS:.sh=)
distdir = ../$(package_name)-$(package_version)/src
diff --git a/src/oh-autoinstall.sh b/src/oh-autoinstall.sh
new file mode 100644
index 0000000..b50174e
--- /dev/null
+++ b/src/oh-autoinstall.sh
@@ -0,0 +1,54 @@
+#!@@SH@@
+#
+# opkhelper
+# src/oh-autoinstall
+# Automatically install a package's data files.
+#
+# Copyright (C) 2012 Patrick "P. J." McDermott
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. '@@LIBOPKHELPER@@/load.sm'
+
+oh_use buildsystem
+
+main()
+{
+ oh_init
+
+ while getopts 'S:B:d:' opt; do
+ case "${opt}" in
+ S)
+ oh_set_buildsystem_option 'build-system' "${OPTARG}"
+ ;;
+ B)
+ oh_set_buildsystem_option 'build-dir' "${OPTARG}"
+ ;;
+ d)
+ oh_set_buildsystem_option 'destdir' "${OPTARG}"
+ ;;
+ ?)
+ ob_error "$(ob_get_msg 'bad_opt')"
+ exit 1
+ ;;
+ esac
+ done
+ shift $(($OPTIND - 1))
+
+ oh_buildsystems_init
+
+ oh_buildsystem_do 'install' "${@}"
+}
+
+main "${@}"